import Image from 'components/Image'

export const meta = {
  title: 'Update #4',
  type: 'Article',
  description: 'Catch up on recently shipped code, and what we have coming',
  featuredImage: {
    src: '/images/blog/tracy-status2.png',
    alt: 'tracy waving next to a status seal'
  },
  date: '2021-04-16',
  tags: ['opstrace', 'observability', 'metrics', 'monitoring', 'open source'],
  authors: ['chris']
}

## Media Content

Check us out at GitLab’s
[#EveryoneCanContribute](https://twitter.com/hashtag/EveryoneCanContribute?src=hashtag_click)
cafe, talking about
[how Opstrace works in detail, and doing a (flawless) live demo](https://twitter.com/dnsmichi/status/1382836266153152513).

[Behind The Code, AMA session with Sébastien Pahl](https://twitter.com/behind_thecode/status/1383059227288219648?s=12)
(a rough transcript from Clubhouse).

## What shipped

Users can now set up Exporters in the UI after loading their credentials, not
just via the API. ([#566](https://github.com/opstrace/opstrace/pull/566))

<Image
  alt="screenshot"
  src="/images/blog/weekly-update-14-exporters.png"
  width={1820}
  height={1548}
/>

The
[Prometheus Blackbox exporter](https://github.com/prometheus/blackbox_exporter)
is now supported via the Exporter API. See a configuration example in the
[Opstrace Config API README](https://github.com/opstrace/opstrace/tree/main/go/cmd/config#user-content-exporter-http-examples).
User guide coming soon. ([#550](https://github.com/opstrace/opstrace/pull/550))

Additional validation for exporter and credential names, to avoid issues with
Kubernetes object naming.
([#555](https://github.com/opstrace/opstrace/pull/555))

CI Integration tests for alerts.
([#547](https://github.com/opstrace/opstrace/pull/547))

A community page on our website that captures how we think about the importance
of open source communities, some of the projects we love to use, and how you can
join in if you’d like: opstrace.com/community.

## What's coming

We are working on a blog post about the importance of histograms, and how to
effectively use them with Grafana. We use these heavily on our Cortex and Loki
dashboards. Have you ever used Grafana histograms? If you want to chat about
this post before it goes out,
[join us in Slack](https://go.opstrace.com/community).
